:root {
  --ink: 240,54%,43%; /* CSS partial - inspired by Maxime Heckel's blog */
  --ink-fade: hsla(var(--ink), 60%);
  --ink-dark: hsl(var(--ink));
  --ink-line: white;
}

/*--------------- Basic Section Structure ----------------- */

		* {
			margin: 0;
			padding: 0;
			text-indent: 0;
			line-height: 1;
			max-width: 100vw;
		}

		html {
background-color: lavender;
background-image: radial-gradient(whitesmoke,gainsboro);
background-size: 100% 100%;
		}


		body {
width: 100%;
			position: static center;
			text-indent: 0;
			left: auto;
			right: auto;
			color: black;
		}
#subhead {
position: fixed;
width: 100vw;
margin: 0 auto;
padding: 5px;
background-color: var(--ink-dark);
color: var(--ink-line);
opacity: 1;
		}

#main {
background-image:  linear-gradient(var(--ink-line) 3px, transparent 3px), linear-gradient(90deg, var(--ink-line) 3px, transparent 3px), linear-gradient(var(--ink-line) 1.5px, transparent 1.5px), linear-gradient(90deg, var(--ink-line) 1.5px, transparent 1.5px);
background-size: 75px 75px, 75px 75px, 15px 15px, 15px 15px;
background-position: -3px -3px, -3px -3px, -1.5px -1.5px, -1.5px -1.5px;
		overflow-x: hidden;
		overflow-y: auto;	
		}

div {
margin: 0 auto;
}

footer {
position: fixed;
bottom: 0;
width: 100vw;
margin: 0 auto;
padding: 5px;
background: var(--ink-dark);
}


footer > p {
text-align: center;
font-family: 'Cutive Mono', Courier, monospace;
color: lavender;
}

footer > img {
height: 40px;
}

/*--------------- Hyper-Active Links ----------------- */

		a {
			text-decoration: underline;
			color: inherit;
			text-decoration-style: dashed;
            text-decoration-color: var(--ink-fade);
			text-decoration-thickness: 8%;
		}

		a:hover {
			text-shadow: 0 0 1px lavender, 0 0 5px var(--ink-line);
		}

a:visited {
  color: inherit;
}

a:active {
  color: inherit;
}

/*--------------- Headers and Text: Standard ----------------- */

h1 {
			font-family: 'sportropregular', sans-serif;
			font-weight: 400;
			text-align: center;
			text-indent: 0;
			color: black;
			font-size: calc(20px + 3vw);
			letter-spacing: 0.05ch;
			padding-top: 10vh;
			padding-bottom: 0;
			padding-left: 5vw;
			padding-right: 5vw;
			opacity: 1;
		}

		h2 {
			text-align: center;
			color: var(--ink-dark);
			text-indent: 0;
			font-family: 'sh_pinscherregular', sans-serif;
			letter-spacing: 0.2ch;
			opacity: 1;
			font-size: calc(18px + 1.7vw);
			padding-top: 1vh;
			padding-bottom: 2vh;
			padding-left: 5vw;
			padding-right: 5vw;
		}

		h3 {
			text-align: center;
			text-indent: 0;
			color: var(--ink-dark);
			font-family: 'IM Fell DW Pica', Georgia, serif;
			font-weight: 400;
			letter-spacing: 0.1ch;
			font-size: calc(18px + 1vw);
			padding-top: 2vh;
			padding-bottom: 2vh;
			padding-left: 5vw;
			padding-right: 5vw;
		}

p {
  font-size: 120%;
/*			font-size: calc(15px + 1vw); */
			font-family: 'Gupter', serif;
			line-height: 1.5;
			text-indent: 0;
			text-align: center;
			padding-top: 1vh;
			padding-bottom: 1vh;
			padding-left: 5vw;
			padding-right: 5vw;
			margin: 0 auto;
			margin-block-start: 0;
			margin-block-end: 0;
			max-width: 1100px;
  color: black;
}

kbd {
  border-radius: 20px;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 16px;
  padding-right: 16px;
  margin-top: 8px;
  margin-bottom: 8px;
  margin-left: 4px;
  margin-right: 4px;
  color: lavender;
  background-color: black;
  box-shadow: 2px 2px 0px 1px black, 0px 0px 2px 1px black inset;
}

/*--------------- Headers and Text: Custom ----------------- */

/*--------------- Quotes, Blocks, Lines ----------------- */

blockquote {
  border: 3px dashed var(--ink-dark);
  text-align: center;
  font-family: 'Cutive Mono', Courier, monospace;
  letter-spacing: -0.02em;
  padding: 1vh 1vw;
  max-width: 50%;
  border-radius: 50px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 1vh;
  margin-bottom: 1vh;
  line-height: 1.4;
  font-size: calc(15px + 1vw);
}

.codequote {
  color: black;
  background: white;
  border-radius: 3px;
  border: 0px;
  box-shadow: 2px 2px 0px 1px black;
  text-align: center;
  font-family: 'Cutive Mono', Courier, monospace;
  letter-spacing: -0.04em;
  padding: 1vh 1vw;
  max-width: 50%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 1vh;
  margin-bottom: 1vh;
  line-height: 1.4;
  font-size: calc(15px + 1vw);
}

		hr {
			border: none;
			border-top: 6px dashed var(--ink-dark);
			text-align: center;
			width: 90vw;
			opacity: 1;
			margin-top: 1vh;
			margin-bottom: 1vh;
			margin-left: auto;
			margin-right: auto;
		}

.arrow {
font-family: 'Rampart One';
font-size: 8rem;
color: var(--ink-dark);
}